## voaacenc

voaacenc — AAC audio encoder

## Properties

gint | bitrate | Read / Write

## Types and Values

struct | GstVoAacEnc

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstAudioEncoder
                        ╰── GstVoAacEnc

## Implemented Interfaces

GstVoAacEnc implements GstPreset.

## Description

## Synopsis

### Element Information

plugin | voaacenc
author | Kan Hu <kan.hu@linaro.org>
class | Codec/Encoder/Audio

### Element Pads

name | sink
direction | sink
presence | always
details | audio/x-raw, format=(string)S16LE, layout=(string)interleaved, rate=(int){ 8000, 11025, 12000, 16000, 22050, 24000, 32000, 44100, 48000, 64000, 88200, 96000 }, channels=(int)[ 1, 2 ]

name | src
direction | source
presence | always
details | audio/mpeg, mpegversion=(int)4, rate=(int){ 8000, 11025, 12000, 16000, 22050, 24000, 32000, 44100, 48000, 64000, 88200, 96000 }, channels=(int)[ 1, 2 ], stream-format=(string){ adts, raw }, base-profile=(string)lc

## Functions

## Types and Values

### struct GstVoAacEnc

    struct GstVoAacEnc;

## Property Details

### The `“bitrate”` property

      “bitrate”                  gint

Target Audio Bitrate.

Flags: Read / Write

Allowed values: >= 0

Default value: 128000